%global icon_themes    hicolor

Name:           gnome-mines
Version:        3.18.2
Release:        1%{?dist}
Summary:        GNOME Mines Sweeper game

License:        GPLv2+ and CC-BY-SA
URL:            https://wiki.gnome.org/Apps/Mines
Source0:        http://download.gnome.org/sources/gnome-mines/3.18/gnome-mines-%{version}.tar.xz

BuildRequires:  desktop-file-utils
BuildRequires:  glib2-devel
BuildRequires:  gtk3-devel >= 3.12
BuildRequires:  intltool
BuildRequires:  itstool
BuildRequires:  librsvg2-devel

Obsoletes: gnome-games-gnomine < 1:3.7.92-1
Obsoletes: gnome-games < 1:3.7.92-1
Obsoletes: gnome-games-help < 1:3.7.92-1

%description
The popular logic puzzle minesweeper. Find mines on a grid 
using hints from squares you have already cleared.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}


%install
%make_install

desktop-file-validate $RPM_BUILD_ROOT%{_datadir}/applications/gnome-mines.desktop

%find_lang %{name} --with-gnome


%post
for theme in %{icon_themes} ; do
  touch --no-create %{_datadir}/icons/$theme &>/dev/null || :
done


%postun
if [ $1 -eq 0 ]; then
  for theme in %{icon_themes} ; do
    touch --no-create %{_datadir}/icons/$theme &> /dev/null
    gtk-update-icon-cache %{_datadir}/icons/$theme &> /dev/null || :
  done
  glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
fi


%posttrans
for theme in %{icon_themes} ; do
  gtk-update-icon-cache %{_datadir}/icons/$theme &>/dev/null || :
done
glib-compile-schemas %{_datadir}/glib-2.0/schemas &>/dev/null || :


%files -f %{name}.lang
%license COPYING
%{_bindir}/gnome-mines
%{_datadir}/appdata/gnome-mines.appdata.xml
%{_datadir}/applications/gnome-mines.desktop
%{_datadir}/glib-2.0/schemas/org.gnome.mines.gschema.xml
%{_datadir}/gnome-mines
%{_datadir}/icons/hicolor/*/actions/flag-symbolic.*
%{_datadir}/icons/hicolor/*/apps/gnome-mines*
%{_mandir}/man6/gnome-mines.6*


%changelog
* Tue Nov 10 2015 Kalev Lember <klember@redhat.com> - 3.18.2-1
- Update to 3.18.2

* Mon Oct 12 2015 Kalev Lember <klember@redhat.com> - 3.18.1-1
- Update to 3.18.1

* Mon Sep 21 2015 Kalev Lember <klember@redhat.com> - 3.18.0-1
- Update to 3.18.0

* Mon Sep 14 2015 Kalev Lember <klember@redhat.com> - 3.17.92-1
- Update to 3.17.92

* Mon Aug 31 2015 Kalev Lember <klember@redhat.com> - 3.17.91-1
- Update to 3.17.91
- Use make_install macro

* Mon Aug 17 2015 Yanko Kaneti <yaneti@declera.com> - 3.17.90-1
- Update to 3.17.90

* Mon Jul 20 2015 Yanko Kaneti <yaneti@declera.com> - 3.17.4-1
- Update to 3.17.4

* Tue Jun 23 2015 Yanko Kaneti <yaneti@declera.com> - 3.17.3-1
- Update to 3.17.3

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.17.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Fri May 29 2015 Yanko Kaneti <yaneti@declera.com> - 3.17.2-1
- Update to 3.17.2

* Tue Apr 14 2015 Yanko Kaneti <yaneti@declera.com> - 3.16.1-1
- Update to 3.16.1
- No more separate HighContrast icons

* Mon Mar 23 2015 Yanko Kaneti <yaneti@declera.com> - 3.16.0-1
- Update to 3.16.0
- Use license macro

* Mon Mar 16 2015 Yanko Kaneti <yaneti@declera.com> - 3.15.92-1
- Update to 3.15.92

* Mon Mar  2 2015 Yanko Kaneti <yaneti@declera.com> - 3.15.91-1
- Update to 3.15.91

* Mon Feb 16 2015 Yanko Kaneti <yaneti@declera.com> - 3.15.90-1
- Update to 3.15.90

* Mon Jan 19 2015 Yanko Kaneti <yaneti@declera.com> - 3.15.4-1
- Update to 3.15.4

* Mon Dec 15 2014 Yanko Kaneti <yaneti@declera.com> - 3.15.3-1
- Update to 3.15.3

* Mon Oct 27 2014 Yanko Kaneti <yaneti@declera.com> - 3.15.1-1
- First devlopment release from the 3.16 cycle

* Mon Oct 13 2014 Yanko Kaneti <yaneti@declera.com> - 3.14.1-1
- Update to 3.14.1

* Mon Sep 22 2014 Yanko Kaneti <yaneti@declera.com> - 3.14.0-1
- Update to 3.14.0

* Tue Sep 16 2014 Yanko Kaneti <yaneti@declera.com> - 3.13.92-1
- Update to 3.13.92

* Mon Sep 01 2014 Kalev Lember <kalevlember@gmail.com> - 3.13.91-1
- Update to 3.13.91

* Tue Aug 19 2014 Yanko Kaneti <yaneti@declera.com> - 3.13.90-1
- Update to 3.13.90
- Add HighContrast theme

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.13.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Mon Jul 21 2014 Kalev Lember <kalevlember@gmail.com> - 3.13.4-1
- Update to 3.13.4

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.13.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue May 27 2014 Yanko Kaneti <yaneti@declera.com> - 3.13.2-1
- Update to 3.13.2

* Mon Apr 28 2014 Yanko Kaneti <yaneti@declera.com> - 3.13.1-1
- First release from the new development cycle.
- Drop upstreamd patch and vala from BR.

* Wed Apr 16 2014 Yanko Kaneti <yaneti@declera.com> - 3.12.1-2
- Upstream patch to fix game pausing.

* Tue Apr 15 2014 Yanko Kaneti <yaneti@declera.com> - 3.12.1-1
- Update to 3.12.1

* Mon Mar 24 2014 Richard Hughes <rhughes@redhat.com> - 3.12.0-1
- Update to 3.12.0

* Tue Mar 18 2014 Yanko Kaneti <yaneti@declera.com> - 3.11.92-1
- Update to 3.11.92

* Tue Feb 18 2014 Yanko Kaneti <yaneti@declera.com> - 3.11.90-1
- Update to 3.11.90. Desktop file renamed.

* Tue Dec 17 2013 Yanko Kaneti <yaneti@declera.com> - 3.11.3-1
- Update to 3.11.3. New url.

* Tue Oct 29 2013 Richard Hughes <rhughes@redhat.com> - 3.11.1-1
- Update to 3.11.1

* Sat Oct 12 2013 Yanko Kaneti <yaneti@declera.com> - 3.10.1-1
- Update to 3.10.1

* Mon Sep 23 2013 Yanko Kaneti <yaneti@declera.com> - 3.10.0-1
- Update to 3.10.0

* Tue Sep 17 2013 Yanko Kaneti <yaneti@declera.com> - 3.9.92-1
- Update to 3.9.92
- Add appdata

* Wed Aug 21 2013 Yanko Kaneti <yaneti@declera.com> - 3.9.90-1
- Update to 3.9.90

* Tue Aug 20 2013 Yanko Kaneti <yaneti@declera.com> - 3.8.2-1
- Update to 3.8.2

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.8.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Jun 21 2013 Kalev Lember <kalevlember@gmail.com> - 3.8.1-3
- Obsolete gnome-games-help as well

* Thu Jun 20 2013 Matthias Clasen <mclasen@redhat.com> - 3.8.1-2
- Obsolete gnome-games (for upgrades from f17)

* Mon Apr 15 2013 Kalev Lember <kalevlember@gmail.com> - 3.8.1-1
- Update to 3.8.1

* Wed Mar 27 2013 Yanko Kaneti <yaneti@declera.com> - 3.8.0-1
- Update to 3.8.0

* Tue Mar 19 2013 Yanko Kaneti <yaneti@declera.com> - 3.7.92-1
- Update to 3.7.92

* Fri Feb 15 2013 Yanko Kaneti <yaneti@declera.com> - 3.7.5-1
- Initial packaging of standalone gnome-mines
